# Package net.sourceforge.pmd.lang.ast.xpath

Interface Summary
Interface | Description
--- | ---
AttributeNode | This interface can be used by an AST node to indicate it can directly provide access to it's attributes, versus having them be determined via introspection.

Class Summary
Class | Description
--- | ---
AbstractASTXPathHandler |
Attribute |
AttributeAxisIterator |
DocumentNavigator |
NodeIterator |